/// <reference types="node" />
import { Cursor } from './types';
export declare const initThreadArray: () => Array<number>;
export declare const threadArrayToCursor: (threadArray: Array<number>) => string;
export declare const cursorToThreadArray: (cursor: Cursor) => Array<number>;
export declare const threadCounterToHexString: (threadCounter: number) => string;
export declare const hexStringToThreadCounter: (threadCounter: string) => number;
export declare const threadCounterHexStringToBuffer: (threadCounter: string) => Buffer;
export declare const threadCounterToBuffer: (threadCounter: number) => Buffer;
